
from odoo.upgrade import util
from odoo.tools.json import scriptsafe as json_safe

def migrate(cr, version):
    # remove custom view (pimp title) whose changes are now integrated into
    # "openerp_website.appointment_info"
    util.remove_view(cr, view_id=17458)

    # fix bad default background cover for appointment.type created before
    # saas-14.5
    # In odoo/enterprise@8aba604c609 (saas-14.5) "website_calendar" was renamed
    # to "website_appointment" so the default cover file moved along but
    # pre-existing appointment.type cover properties were never updated
    env = util.env(cr)

    to_fix_appointment_types_domain = [('cover_properties', 'ilike', '/website_calendar/')]
    pre_saas14_5_default_cover = "url(/website_calendar/static/src/img/appointment_cover_0.jpg)"
    post_saas14_5_default_cover = "url(/website_appointment/static/src/img/appointment_cover_0.jpg)"

    for appoinment_type in env["appointment.type"].search(to_fix_appointment_types_domain):
        changes = {}
        cover_properties = json_safe.loads(appoinment_type.cover_properties)
        if cover_properties.get("background-image", "") == pre_saas14_5_default_cover:
            cover_properties["background-image"] = post_saas14_5_default_cover
            changes["cover_properties"] = json_safe.dumps(cover_properties)

        if changes:
            appoinment_type.write(changes)
